﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default2.aspx.cs" Inherits="scheduler_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Example</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
</head>
<body>
<form id="form1" runat="server" method="post">


	<asp:ScriptManager runat="server" />


	<p>
		<button id="add-button" disabled="disabled">
			Add appointment</button>
		<button id="edit-button" disabled="disabled">
			Edit appointment</button>
		<button id="delete-button" disabled="disabled">
			Delete appointment</button>
	</p>
	<telerik:RadScheduler runat="server" ID="RadScheduler1" Width="1000" Height="400"
		SelectedDate="2009-02-02" TimeZoneOffset="03:00:00" DayStartTime="08:00:00" DayEndTime="21:00:00"
		FirstDayOfWeek="Monday" LastDayOfWeek="Friday" EnableDescriptionField="true"
		ShowFooter="true" ShowHeader="true" SelectedView="DayView">
		<AdvancedForm Modal="true" />
		<TimelineView UserSelectable="false" />
		<ResourceStyles>
			<telerik:ResourceStyleMapping Type="Calendar" Text="Development" ApplyCssClass="rsCategoryPattern" />
			<telerik:ResourceStyleMapping Type="Calendar" Text="Marketing" ApplyCssClass="rsCategoryRed" />
			<telerik:ResourceStyleMapping Type="Calendar" Text="Work" BackColor="#edd5b7" />
		</ResourceStyles>
		<AppointmentTemplate>
			<div class="rsAptSubject">
				<%# Eval("Subject") %>
			</div>
			<%# Eval("Description") %>
			<input id="Button1" class="select-apt" type="button" value="select" />
		</AppointmentTemplate>
		<TimeSlotContextMenuSettings EnableDefault="true" />
		<AppointmentContextMenuSettings EnableDefault="true" />
	</telerik:RadScheduler>


	<script type="text/javascript">
	(function (global, $) {

		var currentAppointment = null,
			scheduler = null,
			timeIs = null;

		$(document).ready(function () {

			// Prepare things
			scheduler = $telerik.toScheduler($find('<%=RadScheduler1.ClientID %>'));
			addButton = document.getElementById("add-button"),
			editButton = document.getElementById("edit-button"),
			deleteButton = document.getElementById("delete-button"),
			selectButtons = $(".select-apt");

			function showAdvancedInsertForm(event) {

				event.stopPropagation();
				event.preventDefault();

				var selectedSlots = scheduler.get_selectedSlots();
				if (selectedSlots.length != 0) {
					var startSlot = selectedSlots[0];
					var endSlot;
					var aptDuration = scheduler.get_durationOfSelectedArea();
					if (!aptDuration) {
						scheduler._clearSlotSelection();
						return;
					}
					else {
						endSlot = selectedSlots[selectedSlots.length - 1];
					}


					scheduler.showInsertFormAt(startSlot, endSlot);
				}
				else {
					scheduler.showAdvancedInsertForm(timeIs || scheduler.get_selectedDate() || new Date());
				}
			}
			function editSelectedAppointment(event) {

				event.stopPropagation();
				event.preventDefault();

				//console.log(currentAppointment)

				if (currentAppointment == null)
					return;

				scheduler.editAppointment(currentAppointment);
			}
			function deleteSelectedAppointment(event) {

				event.stopPropagation();
				event.preventDefault();

				if (currentAppointment == null)
					return;

				scheduler.deleteAppointmentWithConfirmation(currentAppointment);
			}

			function selectAppointment( event ) {

				currentAppointment = $( event.currentTarget ).parents(".rsApt").get(0);
				currentAppointment = scheduler.getAppointmentFromDomElement( currentAppointment );
				currentAppointment.set_selected(true);

				editButton.removeAttribute("disabled");
				deleteButton.removeAttribute("disabled");
			}
			function deselectAppointment( event ) {
				currentAppointment = null;
				editButton.disabled = "disabled";
				deleteButton.disabled = "disabled";
			}


			// Wire events
			$(addButton).bind("click", showAdvancedInsertForm);
			$(editButton).bind("click", editSelectedAppointment);
			$(deleteButton).bind("click", deleteSelectedAppointment);
			selectButtons.bind( ( $telerik.isTouchDevice ? "touchstart" : "mousedown" ) ,selectAppointment);


			// Set proper button state
			addButton.removeAttribute("disabled");
			editButton.disabled = "disabled";
			deleteButton.disabled = "disabled";

		});

	})(window, $telerik.$);
	</script>


</form>
</body>
</html>